Bug 980886 - rhevm is stucked while loading an unaccessible config file during startup
rhevm is stucked while loading an unaccessible config file during startup
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
Unspecified Unspecified
unspecified Severity medium
: ---
: 3.4.0
Assigned To: Michal Skrivanek
Depends On:
  Show dependency treegraph
Reported: 2013-07-03 08:45 EDT by Jiri Belka
Modified: 2014-01-05 05:53 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-01-05 05:53:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
engine.log (3.27 MB, text/plain)
2013-07-03 08:45 EDT, Jiri Belka
no flags Details

  None (edit)
Description Jiri Belka 2013-07-03 08:45:07 EDT
Created attachment 768240 [details]

Description of problem:

rhevm is stucked while loading an unaccessible config file during startup. Not sure how rhevm should handle this...

rhevm loads files in $ENGINE_ETC/conf/osinfo.conf.d directory, if i create a symlink in this directory pointing to problematic nfs share, rhevm would never load correctly, it's just stucked...

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. create a symlink in $ENGINE_ETC/conf/osinfo.conf.d pointing to a nfs share
2. disable access to this nfs share (iptables -I INPUT -s $your_nfs_host -j DROP)
3. restart rhevm

Actual results:
rhevm stucked while starting up

Expected results:
no sure... but what about some timeout and then fail with an ERROR?

Additional info:

mount $server:$export /mnt
echo 'foobar' > /mnt/test
ln -sf /mnt/test $ENGINE_ETC/conf/osinfo.conf.d/11-link-to-unavailfs.properties
iptables -I INPUT -s $server -j DROP
service ovirt-engine restart

check log around 12:30 and later...les
Comment 1 Michal Skrivanek 2013-07-04 01:52:46 EDT
what do you mean stuck?
if your nfs share is "hard" it will hang until you fix it. That's exactly the behavior it should have 
if your nfs is using "soft" it will time out and error out. Not sure - worth a check if it fails loading osinfo file only or exits completely. The latter would be best and if it's not the case this bug should be fixed - engine should fail to start.
Comment 2 Jiri Belka 2013-07-04 09:46:09 EDT
Yes, if using 'soft' option for nfs mount, after timeout engine continues in startup and finishes.

The original question was if engine should guess it is starting up for long time thus being stucked somewhere.

Feel free to close it as user problem.
Comment 3 Itamar Heim 2014-01-05 05:53:07 EST
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.